function PetLevel(msg)
   local levels = {}
   for i=1,C_PetJournal.GetNumPets(false) do 
      local petID, speciesID, isOwned, customName, level, favorite, isRevoked, name, icon, petType, creatureID, sourceText, description, isWildPet, canBattle = C_PetJournal.GetPetInfoByIndex(i)
      if petID then 
         if levels[level] then
            levels[level] = levels[level] + 1
         else
            levels[level] = 1
         end
      end
   end
   err="Please give a number between 1 and 25"
   lvl = tonumber(msg)
   if lvl then 
      if lvl > 0 and lvl < 26 then
         print("Pets at level",lvl,"...",levels[lvl])
      else
         print(err)
      end
   else
      print(err)
   end
end
function PetRarity(msg) 
   local r = {}
   for i=1,6 do 
      r[i]=0
      rs = {"Poor","Common","Uncommon","Rare","Epic","Legendary"}
   end
   for i=1,C_PetJournal.GetNumPets(false) do 
      local petID, speciesID, isOwned, customName, level, favorite, isRevoked, name, icon, petType, creatureID, sourceText, description, isWildPet, canBattle = C_PetJournal.GetPetInfoByIndex(i)
      if petID then 
         local health, maxHealth, attack, speed, rarity = C_PetJournal.GetPetStats(petID)
         r[rarity] = r[rarity]+1 
      end
   end
   if msg then
      local num = tonumber(msg)
      if num then print(rs[num],r[num]) end
   else
      
   end
end
function PetList(msg)
   err="Please give a number between 1 and 25"
   lvl = tonumber(msg)
   if lvl then 
      if lvl > 0 and lvl < 26 then
      else
         print(err)
         return
      end
   else
      print(err)
      return
   end
   for i=1,C_PetJournal.GetNumPets(false) do 
      local petID, speciesID, isOwned, customName, level, favorite, isRevoked, name, icon, petType, creatureID, sourceText, description, isWildPet, canBattle = C_PetJournal.GetPetInfoByIndex(i)
      if petID then 
         if level==lvl then
            local lnk = C_PetJournal.GetBattlePetLink(petID)
            print(lnk)
         end
      end
   end
end

SLASH_PETLEVEL1 = '/petlevel';
SlashCmdList["PETLEVEL"] = PetLevel;
SLASH_PETLIST1 = '/petlist';
SlashCmdList["PETLIST"] = PetList;
SLASH_PETRARITY1 = '/petrarity';
SlashCmdList["PETRARITY"] = PetRarity;
