-------------------------------------------------------------------------------
-------------------------
-- Game Tooltip Script --
-------------------------

MBPNgtt = GameTooltip
MBPNgtt:HookScript("OnToolTipSetUnit", function (self, event, ...)
      if MBPNgtt ~= nil then
         local name, unit = MBPNgtt:GetUnit()
         local spellName, spellRank, spellID = GameTooltip:GetSpell() 
         local item, link = GameTooltip:GetItem()
         local level = 0
         if unit then 
            if UnitBattlePetLevel(unit) then level = UnitBattlePetLevel(unit) end
         else
            return
         end
         x={};
         local p = C_PetJournal;
         p.AddAllPetSourcesFilter(true)
         p.AddAllPetTypesFilter(true)
         p.ClearSearchFilter(true)
         title = false
         if UnitCanPetBattle("player",unit) then
            local type=UnitBattlePetType(unit)
            use = ""
            if type and type > 0 then 
               use = creature[type]..": Use "..weakness[type].." not "..strength[type].."|n" 
            end
            for i=1,# PetDownloader do 
               local id=tonumber(PetDownloader["petid"][i])
               --print(PetDownloader["petid"][i])
               --local id=PetDownloader["petid"][i]
               local l =PetDownloader["level"][i]
               local n =PetDownloader["name"][i]
               local link = PetDownloader["link"][i]
               local r =PetDownloader["rarity"][i]
               if n == name and not x[n] then 
                  --if id > 0 and level > 0 then 
                  --if id ~= nil and l > 0 then 
                  if l > 0 then 
                     x[n] = 1
                     if not title then 
                        MBPNgtt:AddLine(" ")
                        MBPNgtt:AddLine("You have:")
                        title = true
                     end
                     MBPNgtt:AddLine("Level "..l.." "..link);
                  else 
                     MBPNgtt:AddLine("You don't have any "..n.."!")
                     MBPNgtt:AddLine("Gotta catch one!")
                  end 
               end 
            end
            MBPNgtt:AddLine(use)
         else
            --MBPNgtt:AddLine("Sorry.  You can't battle this pet.")
         end
      end
end)